Go to the latest version of this document.

# ``twisted`.`internet`.`default``

module documentation
(source)

The most suitable default reactor for the current platform.

Depending on a specific application's needs, some other reactor may in fact be better.

Variable | `install` | Undocumented
Function | `_getInstallFunction` | Return a function to install the reactor most suited for the given platform.

install = (source)

Undocumented

def _getInstallFunction(platform): (source)

Return a function to install the reactor most suited for the given platform.

Parameters
platform:`twisted.python.runtime.Platform` | The platform for which to select a reactor.

Returns
A zero-argument callable which will install the selected reactor.